org.pcollections

## Class Empty

- java.lang.Object
- - org.pcollections.Empty

    public final class Empty
    extends Object

A static utility class for getting empty PCollections backed by the 'default' implementations.

### Method Summary

Methods
`static <E> PBag<E>` `bag()`
`static <K,V> PMap<K,V>` `map()`
`static <E> POrderedSet<E>` `orderedSet()`
`static <E> PQueue<E>` `queue()`
`static <E> PSet<E>` `set()`
`static <E> PStack<E>` `stack()`
`static <E> PVector<E>` `vector()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### stack

    public static <E> PStack<E> stack()

#### queue

    public static <E> PQueue<E> queue()

#### vector

    public static <E> PVector<E> vector()

#### set

    public static <E> PSet<E> set()

#### orderedSet

    public static <E> POrderedSet<E> orderedSet()

#### bag

    public static <E> PBag<E> bag()

#### map

    public static <K,V> PMap<K,V> map()

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015